Get Staff Detail
curl --request GET \
--url https://api.hit-pay.com/v1/staffs/{staff_id} \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/staffs/{staff_id}"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/staffs/{staff_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "98566f58-1c76-4b8b-8f75-d20bba2bc7f8",
"name": "Testing ABC",
"role": {
"id": "93a00e56-c832-490e-b5b8-7f08149548c7",
"title": "Owner"
},
"email": "[email protected]",
"invited_at": "2023-01-29T05:29:24.000000Z",
"locations": []
}{
"message": "The staff cannot be found."
}Staffs
Get Staff Detail
Retrieve a staff member’s details by ID
GET
/
v1
/
staffs
/
{staff_id}
Get Staff Detail
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
Example:
"98888a69-2d7a-4695-811d-6df8cee30264"
Last modified on February 25, 2026
Was this page helpful?
⌘I